Squid3 installation fails



  • I get the following error when I tried to install squid3 (on 2.1).

    /var/log/system.log:

    May  2 10:19:30 pfsense php: /pkg_mgr_install.php: Beginning package installation for squid3.
    May  2 10:19:34 pfsense php: /pkg_mgr_install.php: XML error: XML_ERR_NAME_REQUIRED at line 490 in /conf/config.xml
    May  2 10:19:34 pfsense php: /pkg_mgr_install.php: pfSense is restoring the configuration /cf/conf/backup/config-1367489968.xml
    May  2 10:19:34 pfsense php: /pkg_mgr_install.php: New alert found: pfSense is restoring the configuration /cf/conf/backup/config-1367489968.xml
    
    

    On the web gui:

    Beginning package installation for squid3...
    Downloading package configuration file... done.
    Saving updated package information... done.
    The squid3 package is not installed.
    
    Installation aborted.Backing up libraries... 
    The squid3 package is not installed.
    
    Deletion aborted.Cleaning up... Failed to install package.
    
    Installation halted.
    

    But.. squid-2.7 installs without any error.


  • Rebel Alliance Developer Netgate

    Should be fixed by this commit:
    https://github.com/pfsense/pfsense-packages/commit/16372c9e552c3995964397c9077a89a01c46a691

    Give it a few minutes and try again.



  • I am able to install squid3.

    Thank you.


Log in to reply